# Surface composition (XPS) prediction
Felix Thelen, Florian Lourens

`xps_prediction` is a small toolkit to predict the surface composition, measured by X-ray photoelectron spectroscopy
(XPS), from the volume composition, measured by energy-dispersive X-ray spectroscopy (EDX). It provides the following 
functionalities:

- predicting the surface composition from the volume composition
- plotting compositions of a materials library
- plotting the correlation of surface and volume composition

The capabilities are shown in the supplied jupyter notebook [example.ipynb](example.ipynb).

## Terms of Use

The package is distributed under the [GNU GPLv3](https://www.gnu.org/licenses/quick-guide-gplv3.html) license. See the [LICENSE](LICENSE) for details.

## Contributing

If you have suggestions how to make the package better in any way or want to contribute to the code yourself, please 
write an Email or Slack to [Felix Thelen](felix.thelen@ruhr-uni-bochum.de). We are open for feedback!

## Installation

It is recommended to use python 3.11. The quickest way to get started is to clone this repository. Run the following 
command in the command line. Since this repository is private, you need to add your GitLab username to the URL.

```
git clone https://gitlab.ruhr-uni-bochum.de/mdi/xps-pred.git
cd xps-pred
```
...and install it with pip:

```
pip install .
```
